----------------------------------------------
-- Telescope2Box.lua
-- by Lygin Gennady a.k.a Croc 26.04.2017. 03.05.2018
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local Telescope2FrameWidth, Telescope2FrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Telescope2Box = CXBox:new()
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Telescope2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)
    :text(_("Tel2"))
    :movable(false)
    :visible(false)
    :active(true)
    :attach(Telescope2Box,0,0,0,0)

Telescope2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)
        :attach(Telescope2Box, 20, 0, 0, 0)

Telescope2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Telescope2Button.Visible = GuidesVisibility -- display or undisplay Button
    Telescope2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Telescope2Check.Text ==  "o" then
		Telescope2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Telescope2Button.Action = (function()
        return
            function()
              display_Telescope2= not display_Telescope2
                if display_Telescope2 then                    				
                    Telescope2Frame.Visible = true                    
                    Telescope2Check.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    Telescope2Frame.Visible = false                  
                    Telescope2Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) () 
------------------------------------------------------------------------------------------------------------------------------
Telescope2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :movable(true)
    :clickable(false)
    :visible(false)
    :attach(screenBox, (width-Telescope2FrameWidth)/2, height-Telescope2FrameHeight-2, (width-Telescope2FrameWidth)/2, 2)

 Telescope2Frame.Customdraw = function(this)

            if Telescope2_firstTickDone then
            if not(Telescope2CloseButtonDone) then
                Telescope2CloseButtonDone = true
                makeCloseButton(Telescope2CloseButton, Telescope2Frame, Telescope2Button)
            end
            else
                Telescope2_firstTickDone = true
            end

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height
               if height>=768  then
                    Telescope2Frame:attach(screenBox, width-Telescope2FrameWidth-36, height-Telescope2FrameHeight-128-27, 36, 128+27)
               else
                    Telescope2Frame:attach(screenBox, width-Telescope2FrameWidth-200, height-Telescope2FrameHeight-3, 200, 3)
               end
            end

	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})
	    textlayout:setpos(this.lb+2, this.tb - 14)
            textlayout:println(_("  Space Telescopes-2, etc.:"))
end
--===============
-- Подключение команд
--===============
Telescope2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(0, 10)
    :text(_("Country / Cosm. machine / Date:"))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-1), 2, 5+14*1)
--=====================
Telescope2002Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-2), 128, 5+14*2)

Telescope2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-2), 49, 5+14*2)

Telescope2202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-2), 2, 5+14*2)
--============================
Telescope2003Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-3), 128, 5+14*3)

Telescope2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-3), 49, 5+14*3)

Telescope2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-4, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-3), 2, 5+14*3)
--=====================
Telescope2004Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-4), 128, 5+14*4)

Telescope2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-4), 49, 5+14*4)


Telescope2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-4, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-4), 2, 5+14*4)
--===========================
Telescope2005Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-5), 128, 5+14*5)

Telescope2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-5), 49, 5+14*5)

Telescope2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-5), 2, 5+14*5)
--===========================
Telescope2006Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-6), 128, 5+14*6)

Telescope2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-6), 49, 5+14*6)

Telescope2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-4, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-6), 2, 5+14*6)
--===========================
Telescope2007Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-7), 128, 5+14*7)

Telescope2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-7), 49, 5+14*7)

Telescope2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-7), 2, 5+14*7)
--=====================
Telescope2008Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-8), 128, 5+14*8)

Telescope2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-8), 49, 5+14*8)

Telescope2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-8), 2, 5+14*8)
--============================
Telescope2009Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-9), 128, 5+14*9)

Telescope2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-9), 49, 5+14*9)
	
Telescope2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-9), 2, 5+14*9)
-----------------------
Telescope2010Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-10), 128, 5+14*10)

Telescope2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-10), 49, 5+14*10)

Telescope2210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-4, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-10), 2, 5+14*10)
----------------------------
Telescope2011Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-11), 128, 5+14*11)

Telescope2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-11), 49, 5+14*11)

Telescope2211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-4, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-11), 2, 5+14*11)
--=====================
Telescope2012Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-12), 128, 5+14*12)

Telescope2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-12), 49, 5+14*12)

Telescope2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-4, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-12), 2, 5+14*12)
--=====================
Telescope2013Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-13), 128, 5+14*13)

Telescope2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-13), 49, 5+14*13)

Telescope2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-4, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-13), 2, 5+14*13)
--=====================
Telescope2014Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-14), 128, 5+14*14)

Telescope2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-14), 49, 5+14*14)

Telescope2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-14), 2, 5+14*14)	
--============================
Telescope2015Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textcolor(color0) 
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-15), 128, 5+14*15)

Telescope2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    --:textcolor({0.2,0.8,1,1})
	:textcolor(color0) 
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Not systematized:"))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-15), 49, 5+14*15)

Telescope2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-15), 2, 5+14*15)	
-----------------------
Telescope2016Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-16), 128, 5+14*16)

Telescope2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-16), 49, 5+14*16)

Telescope2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-16), 2, 5+14*16)	
-----------------------
Telescope2017Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-17), 128, 5+14*17)

Telescope2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-17), 49, 5+14*17)

Telescope2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-17), 2, 5+14*17)
-----------------------
Telescope2018Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-18), 128, 5+14*18)

Telescope2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-18), 49, 5+14*18)

Telescope2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-18), 2, 5+14*18)	
-----------------------
Telescope2019Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-19), 2, 5+14*19)
--==============================
Telescope2020Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 2, 2+14*(gg-20), 128, 5+14*20)

Telescope2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-20), 49, 5+14*20)
	
Telescope2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-4, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14+(gg-20), 2, 5+14*20)	
--===================================
Telescope2021Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-21), 128, 5+14*21)

Telescope2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-21), 49, 5+14*21)

Telescope2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-21), 2, 5+14*21)
--======================
Telescope2022Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-22), 128, 5+14*22)

Telescope2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-22), 49, 5+14*22)
	
Telescope2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-22), 2, 5+14*22)
--======================
Telescope2023Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-23), 128, 5+14*23)

Telescope2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-23), 49, 5+14*23)

Telescope2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-23), 2, 5+14*23)
----------------------------
Telescope2024Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-24), 128, 5+14*24)

Telescope2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-24), 49, 5+14*24)

Telescope2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-24), 2, 5+14*24)
-----------------------------
Telescope2025Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-25), 128, 5+14*25)

Telescope2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-25), 49, 5+14*25)
	
Telescope2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-25), 2, 5+14*25)
-----------------------
Telescope2026Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-26), 128, 5+14*26)

Telescope2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-26), 49, 5+14*26)
	
Telescope2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-26), 2, 5+14*26)
-----------------------------
Telescope2027Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-27), 128, 5+14*27)

Telescope2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-27), 49, 5+14*27)

Telescope2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-27), 2, 5+14*27)
--=====================
Telescope2028Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-28), 128, 5+14*28)

Telescope2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-28), 49, 5+14*28)

Telescope2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-28), 2, 5+14*28)
---------------------------
Telescope2029Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-29), 128, 5+14*29)

Telescope2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-29), 49, 5+14*29)

Telescope2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-4, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-29), 2, 5+14*29)
--=====================
Telescope2030Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-30), 128, 5+14*30)

Telescope2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-30), 49, 5+14*30)

Telescope2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-4, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-30), 2, 5+14*30)
--===========================
Telescope2031Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-31), 128, 5+14*31)

Telescope2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-31), 49, 5+14*31)

Telescope2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-4, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-31), 2, 5+14*31)
-----------------------------
Telescope2032Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-32), 128, 5+14*32)

Telescope2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-32), 49, 5+14*32)

Telescope2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-32), 2, 5+14*32)
--=====================
Telescope2033Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-33), 128, 5+14*33)

Telescope2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-33), 49, 5+14*33)

Telescope2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-33), 2, 5+14*33)
----------------------------
Telescope2034Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-34), 128, 5+14*34)

Telescope2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-34), 49, 5+14*34)

Telescope2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-34), 2, 5+14*34)	
-----------------------
Telescope2035Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-35), 128, 5+14*35)

Telescope2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-35), 49, 5+14*35)

Telescope2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-35), 2, 5+14*35)	
-----------------------
Telescope2036Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-36), 128, 5+14*36)

Telescope2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-36), 49, 5+14*36)

Telescope2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-36), 2, 5+14*36)	
-----------------------
Telescope2037Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-37), 128, 5+14*37)

Telescope2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-37), 49, 5+14*37)

Telescope2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-37), 2, 5+14*37)
-----------------------
Telescope2038Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-38), 128, 5+14*38)

Telescope2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-38), 49, 5+14*38)

Telescope2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-38), 2, 5+14*38)	
-----------------------
Telescope2039Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-39), 128, 5+14*39)

Telescope2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-39), 49, 5+14*39)

Telescope2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-39), 2, 5+14*39)
----------------------------
Telescope2040Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-40), 128, 5+14*40)

Telescope2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-40), 49, 5+14*40)

Telescope2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-4, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-40), 2, 5+14*40)
---------------------------
	Telescope2041Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 2, 2+14*(gg-41), 128, 5+14*41)

Telescope2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Telescope2Frame, 44, 2+14*(gg-41), 49, 5+14*41)

Telescope2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-4, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Telescope2Frame, 123, 2+14*(gg-41), 2, 5+14*41)
	